// Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
// Copyright (C) 2008 - INRIA - Allan CORNET
// Copyright (C) 2011 - DIGITEO - Allan CORNET
//
// This file is released under the 3-clause BSD license. See COPYING-BSD.

function subdemolist = demo_gateway()
  demopath = get_absolute_file_path("krisp.dem.gateway.sce");

  subdemolist=[
	'demo1D' 'demo1D.sce';
	'demo2D' 'demo2D.sce';
	'demo5D_RS' 'demo5D_RS.sce';
	'demo5D_CMAES' 'demo5D_CMAES.sce';
	'demo5D_CMAES_specparams' 'demo5D_CMAES_specparams.sce';
	'demo5D_NM' 'demo5D_NM.sce';
	'demo1D_knownparameters' 'demo1D_knownparameters.sce';
	'demo1D_noisyfunction' 'demo1D_noisyfunction.sce';
	'demo_1D_EGO_RS' 'demo_1D_EGO.sce' ;
	'demo_2D_EGO_RS'  'demo_2D_EGO_RS.sce';
	'demo_2D_EGO_CMA' 'demo_2D_EGO_CMA.sce';
	'demo_SimulateGaussian' 'demo_SimulateGaussian.sce';
];

  subdemolist(:,2) = demopath + subdemolist(:,2);
endfunction

subdemolist = demo_gateway();
clear demo_gateway; // remove demo_gateway on stack
