// This file is released under the 3-clause BSD license. See COPYING-BSD.

function builder_gw_c()

  includes_src_c = ilib_include_flag(get_absolute_file_path("builder_gateway_c.sce") + "../../src/c");

  // PutLhsVar managed by user in sci_sum and in sci_sub
  // if you do not this variable, PutLhsVar is added
  // in gateway generated (default mode in scilab 4.x and 5.x)
  WITHOUT_AUTO_PUTLHSVAR = %t;

  tbx_build_gateway("krisp_c", ..
                    [
					"c_corr_D","sci_corr_D" ;
					"c_corr_X","sci_corr_X" ;
					"c_corr_vector","sci_corr_vector"], ..
                    ["sci_corr_D.c","sci_corr_X.c","sci_corr_vector.c"], ..
                    get_absolute_file_path("builder_gateway_c.sce"), ..
                    [""], ..
                    "", ..
                   includes_src_c);
                   
endfunction

builder_gw_c();
clear builder_gw_c; // remove builder_gw_c on stack
